import Message from "./Message.js";

class AudioMessage extends Message {
    constructor(peerName, peerAvatar, topic, timestamp, audioUrl, audioType) {
        super("audio", peerName, peerAvatar, topic, timestamp);
        this.audioUrl = audioUrl;
        this.audioType = audioType;
    }

    toJsonString() {
        return JSON.stringify({
            ...this.toJson(),
            audioUrl: this.audioUrl,
            audioType: this.audioType
        });
    }

    static new(bot, audioUrl, audioType) {
        return new AudioMessage(bot.botName, bot.botAvatar, bot.currentTopic, Date.now(), audioUrl, audioType);
    }
}

export default AudioMessage;
